PACCACHE(8)

NAME
paccache - flexible pacman cache cleaning utility

SYNOPSIS

paccache <operation> [options] [targets...]

DESCRIPTION

Paccache removes old packages from the pacman cache directory. By default the last three versions of a package are kept.

OPERATIONS

-d, --dryrun
    Perform a dry run, only finding candidate packages.

-m, --move <dir>
    Move candidate packages from the cache directory to dir.

-r, --remove
    Remove candidate packages from the cache directory.

OPTIONS

-a, --arch <arch>
    Scan for packages for a specific architecture. Default is to scan for all architectures.

--min-atime <age>, --min-mtime <age>
    Only consider packages for removal with atime respectively mtime older than specified. The age can be given as 10d, 1m, 1y, 1y1m etc.

-c, --cachedir <dir>
    Specify a different cache directory. This option can be used more than once. Default is to use the cache directory configured in pacman.conf.

-f, --force
    Apply force to mv and rm operations.

-h, --help
    Display syntax and command line options.

-i, --ignore <pkgs>
    Specify packages to ignore, comma-separated. Alternatively "-" can be used to read the package names from stdin, newline-delimited.

-k, --keep <num>
    Specify how many versions of each package are kept in the cache directory, default is 3.

--nocolor
    Remove color from the output.

-q, --quiet
    Minimize the output.

-u, --uninstalled
    Target uninstalled packages.

-v, --verbose
    Increase verbosity, can be specified up to 3 times.

-z, --null
    Use null delimiters for candidate names (only with -v and -vv).

SYSTEMD TIMER

The package cache can be cleaned periodically using the systemd timer paccache.timer. If the timer is enabled the cache will be cleaned weekly with paccache’s default options.

SEE ALSO

pacman(8), pacman.conf(5), systemctl(1)

BUGS

Bugs? You must be kidding; there are no bugs in this software. But if we happen to be wrong, send us an email with as much detail as possible to pacman-contrib@lists.archlinux.org.

AUTHORS

Current maintainers:

    • Johannes Löthberg <johannes@kyriasis.com>

    • Daniel M. Capella <polyzen@archlinux.org>

For additional contributors, use git shortlog -s on the pacman-contrib.git repository.